<?php
/**
 * Logout Script
 *
 * Destroys the session, which is necessary to logout the user.
 * @package Phone2Dev
 * @author Stanislav Miroshnikov
 * @todo add template support
 */
//start the session
session_start();
?>
<html>
<head>
<title>Phone2Dev: Logout</title>
</head>
<body>
<h1>Phone2Dev Logout</h1>
<?php
// unset all of the session variables
$_SESSION = array();

if (isset($_COOKIE[session_name()])) {
  setcookie(session_name(), '', time()-42000, '/');
}

// destroy the session.
session_destroy();

print "<p><h2>You are logged out.</h2> Go to <a href=\"login.php\">login page </a> to log back in.</p>";

?>
</body> 
</html>