<?php

/**
 * 
 * @author Ben Yacoub Hatem <hatem@php.net>
 * $ version 1.0.0 Tue Nov 09 05:58:59 CET 2004 05:59:00 by hatem
 
 // sample usage :
 $v = new gonx_vxml();

$v->start_vxml("", "", "", "", "", "2.0");

$v->load("dtmfgram");

$v->end_vxml();

$v->generate();
 
*/
 
class dtmfgram
{
	
  /**
   * @access private
   * @var object
   */
  var $obj;
 	
  /*
   * 
   * Create grammar for DTMF entries
   * 
   */
  function dtmfgram(&$obj,$params = "")
    {
      $this->obj = &$obj;
		
      $this->obj->start_grammar("","","text/gsl");
		
      $this->obj->write("[one two three four five six seven eight nine]");
		
      $this->obj->end_grammar();

      $this->obj->start_grammar("","","text/gsl");
		
      $this->obj->write("[dtmf-1 dtmf-2 dtmf-3 dtmf-4 dtmf-5 dtmf-6 dtmf-6 dtmf-7 dtmf-8 dtmf-9]");
		
      $this->obj->end_grammar();
		
      return;
    }
} 

?>