<?php

/**
 * 
 * @author Ben Yacoub Hatem <hatem@php.net>
 * $ version 1.0.0 Mon Nov 08 05:53:00 CET 2004 05:53:00 by hatem
 
 // Sample usage
$v = new gonx_grammar();

$v->start_grammar("", "", "1.0", "en", "http://www.w3.org/2001/XMLSchema-instance", "http://www.w3.org/TR/speech-grammar/grammar.xsd","main");

$v->load("alpha",array(true));

$v->end_grammar();

$v->generate();
 */

 class alpha
 {

  	/**
 	* @access private
 	* @var object
 	*/
 	var $obj;
 	
 	/*
	* 
	* Return an error message
	* 
	* @param message			Error message
	*  
	*/
	function alpha(&$obj,$params = "")
	{
		$this->obj = &$obj;
		
		
		// accept alpha
		if (isset($params[0])) {
			$alpha = $params[0];
		} else $alpha = true;

		// accept numeric
		if (isset($params[1])) {
			$num = $params[1];
		} else $num = true;
		
		

		$this->obj->start_rule("main");
		
			$this->obj->start_item("-1");
			
				$this->obj->start_one_of();

				if ($alpha) {

					for ($i=97;$i<=122;$i++){
						
						$this->obj->start_item();
						
						$this->obj->write(chr($i));
						
						$this->obj->end_item();
					}
				}

				
				if ($num) {
				
					for ($i=0;$i<=9;$i++){
						
						$this->obj->start_item();
						
						$this->obj->write($i);
						
						$this->obj->end_item();
					}
					
				}
				
				$this->obj->end_one_of();
			
			$this->obj->end_item();
		
		$this->obj->end_rule();
		
		return;
	}
 }
 

?>