<?php
/**
 * 
 * @author Ben Yacoub Hatem <hatem@php.net>
 * @version $Id: login.class.php,v 1.1 2004/11/14 17:55:01 hatemben Exp 
 
 $v->load("login",array("Please enter your 4 digit pin code",4,"http://localhost/phpvoice/page/submit.php"));
 
 
*/

class login
{
  /**
   * @access private
   * @var object
   */
  var $obj;
 	
  /*
   * 
   * Function to create a login form
   * 
   * @param prompt				The prompt message
   * @param digits				number of digits
   * @param next 				next form or vxml page to submit form
   * @param id					Id of the form should be : 1,2,3 ... to get -> login1, login2, login3 ...
   */
  function login(&$obj,$params){
 		
    $this->obj = &$obj;
		
    $prompt = $params[0];
    $digits = $params[1];
    $next = $params[2];
    $id="";
    if(isset($params[3])) {
      $id = $params[3];
    }
	
    $this->obj->start_var_c("pin"); // Create a pin var
		
    $this->obj->start_form("login$id");
		
    $this->obj->start_field("pin");
			
    // Prompt message for user
    $this->obj->start_prompt();
				
    $this->obj->write($prompt);
				
    $this->obj->end_prompt();
				
			
    // init grammar
    $this->obj->start_grammar("", "","","","","","1.0","","pin","dtmf");
			
    // Digits grammar
    $this->obj->start_rule("digit");
				
    $this->obj->start_one_of();
					
    for( $i = 0 ; $i <= 9 ; $i++ ){
      $this->obj->start_item();
      $this->obj->write($i);
      $this->obj->end_item();
    }
				
    $this->obj->end_one_of();
			
    $this->obj->end_rule();
				
    // Pin grammar
    $this->obj->start_rule("pin");
		
    // digits number are fixed here.
    $this->obj->start_item($digits);
    $this->obj->start_ruleref_c("#digit");
    $this->obj->end_item();			
			
    $this->obj->end_rule();

    $this->obj->end_grammar();

    $this->obj->start_filled();
			
    // put where to go !
    if (ereg("^#",$next)) {
      $this->obj->start_submit_c($next);
    } else {
      if (ereg("\?",$next)) {
						
        $this->obj->start_goto_c("","","","","'$next;pin=' + pin");
						
      } else {
						
        $this->obj->start_goto_c("","","","","'$next?pin=' + pin");
						
      }
    }
				
			
    $this->obj->end_filled();
		
    // No input
    $this->obj->load("noinput",array("No PIN entered.","en-US","1"));
			
    $this->obj->load("noinput",array("You must enter your PIN number to proceed.","en-US","2"));
			
    $this->obj->load("noinput",array("Please press or say exactly $digits numbers.","en-US","3"));
			
    // No match
    $this->obj->load("nomatch",array("Invalid pin code.","en-US","1"));
			
    $this->obj->load("nomatch",array("Please press or say exactly $digits numbers.","en-US","2"));
			
    $this->obj->load("nomatch",array("Too many attempts. Please call back another time.","en-US","3","exit"));
			
    // close field
    $this->obj->end_field();
			
    // close form
    $this->obj->end_form();
  }
 	
}
 
?>