<?php

/**
 * Create a naviguation menu and redirect user to service.php?cat=
 *
 * Added experimental debug menu.
 *
 * @author Ben Yacoub Hatem <hatem@php.net>
 * @version $Id: 1.0 Mon Nov 15 21:04:32 CET 2004 21:04:32 by hatem EXP
 
 $v->load("naviguator",array("home","Welcome to PHP Voice ! ",array('service1',"service2")));
 
*/

class naviguator
{
 	
  /**
   * @access private
   * @var object
   */
  var $obj;
 	
  /**
   * Change this to enable debug menu
   *
   * @access private
   * @var boolean
   */ 	
  var $debug = false;
 	
  /**
   * Menu options
   *
   * @access private
   * @var array
   */ 
  var $menus_en = array("previous","Repeat","Next","Select");
 	
  /**
   * Prompt for the end user.
   *
   * @access private
   * @var string
   */ 
  var $msg = "\nI'll list the services we offer.\n You can say next, previous, or repeat, to move through the list.\n When you hear the one you want, just say select.";
 	
 	
  /*
   * 
   * Create a naviguation menu
   *
   * @param id					form id
   * @param message			message
   * @param script				The javascript code
   * @param lang				Language : actually there is english only
   *  
   */
  function naviguator(&$obj,$params){
 		
    $this->obj = &$obj;

    $id = $params[0];
    $message = $params[1];
    $script = $params[2];
    $lang = $params[3];
		
    if ($this->debug) {
      $this->menus_en[] = "Debug";
      $this->msg .= "\n Say debug to enter experimental debug service. ";
    }
		
		
    switch ($lang) {
			
    default:
      $menus = $this->menus_en;
      break;
    }
		
		
    if (trim($message)!="") {
      $message = $message.$this->msg;
    } else $message = $this->msg;
		
    $jscript = "";
    $i = 0;
    foreach ($script as $k=>$v) {
      if ($i == 0) {
        $index = $k;
      } 
      $jscript .= "\tservices[$k] = \"$v\";\n";
      $i++;
    }
		
    $this->obj->load("script",array("var services = new Array(".(sizeof($script)+1).");\n $jscript \n var index = $index;"));
		
    $this->obj->start_form($id);
		
    $this->obj->start_block();
			
    $this->obj->start_prompt();
					
    $this->obj->write($message);
					
    // Add a medium break
    $this->obj->start_break_c("","","medium");

    $this->obj->end_prompt();
			
    $this->obj->end_block();
			
    // Start field
    $this->obj->start_field("selection");
			
    $this->obj->start_prompt();
				
    $this->obj->start_value_c("services[index]");
				
    $this->obj->end_prompt();
				
    // init grammar
    $this->obj->start_grammar();
					
    // Pin grammar
    $this->obj->start_rule("selection");
			
    $this->obj->start_one_of();
						
    foreach ($menus as $values) {
      $this->obj->start_item($digits);
      $this->obj->write($values);
      $this->obj->end_item();	
    }		
						
    $this->obj->end_one_of();
				
    $this->obj->end_rule();
	
    $this->obj->end_grammar();
			
    // Filled
    $this->obj->start_filled();
				
    $this->obj->start_if("selection == '".$menus[0]."'");
					
    $this->obj->start_if("index == 0");
						
    $this->obj->start_prompt();
							
    $this->obj->write("There was no previous service. Please say next, repeat, or select.");
								
    // Add a medium break
    $this->obj->start_break_c("","","medium");
							
    $this->obj->end_prompt();
						
    $this->obj->start_else();
							
    $this->obj->start_assign_c("index","index-1");
							
    $this->obj->end_if();
						
    $this->obj->start_goto_c("","","","selection");
						
    $this->obj->start_elseif("selection == '".$menus[1]."'");
						
    $this->obj->start_goto_c("","","","selection");
						
    $this->obj->start_elseif("selection == '".$menus[2]."'");
						
    $this->obj->start_if("index == services.length-1");
							
    $this->obj->start_prompt();
									
    $this->obj->write("That was the last service. Please say previous, repeat, or select.");
									
    // Add a medium break
    $this->obj->start_break_c("","","medium");
				
    $this->obj->end_prompt();
								
    $this->obj->start_else();
								
    $this->obj->start_assign_c("index","index+1");
							
    $this->obj->end_if();
							
    $this->obj->start_goto_c("","","","selection");
							
    $this->obj->start_elseif("selection == '".$menus[3]."'");
							
    $this->obj->write("You selected service ");
    $this->obj->start_value_c("services[index]");
    $this->obj->write(".");
							
    $this->obj->start_goto_c("","","","","'service.php?cat=' + index");
							
    if ($this->debug) {
      // new debug feature experimental !
      $this->obj->start_elseif("selection == '".$menus[4]."'");
								
      $this->obj->write("You selected to debug ");
      $this->obj->start_value_c("services[index]");
      $this->obj->write(".");
								
      $this->obj->start_goto_c("","","","","'debug.php?cat=' + index");
    }
								
    $this->obj->end_if();
				
    // End Filled
    $this->obj->end_filled();
				
    // End field
    $this->obj->end_field();
			
    $this->obj->end_form();
		
  }
}
 
?>