<?php
/**
 * VoiceXML Error Handler
 *
 * @package Phone2Dev
 * @author Stanislav Miroshnikov
 */
/**
 * VoiceXML Error Handler
 *
 * Custom error handling function for vxml documents, which is 
 * necessary because VoiceXML browsers cannot handle HTML tags
 * in the default error handler
 */
function errorHandler($code, $message, $file, $line)
{
  print "<vxml xmlns=\"http://www.w3.org/2001/vxml\" version=\"2.0\">\n";
  print "<form id=\"error\">\n<block>\n";
  print $message.' in '.$file.' at line '.$line;
  print "\n</block>\n</form>\n</vxml>";
  exit;
}
set_error_handler('errorHandler');
?>